Skip to main content
GET
/
organisations
List organisations
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/organisations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "name": "<string>",
      "contactEmail": "<string>",
      "country": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "industryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "industryCode": "<string>",
      "industryDisplayName": "<string>",
      "phone": "<string>",
      "website": "<string>",
      "addressLine1": "<string>",
      "addressLine2": "<string>",
      "city": "<string>",
      "postalCode": "<string>",
      "taxNumber": "<string>",
      "companyRegistrationNumber": "<string>",
      "vatRegistered": true,
      "incorporationYear": 123,
      "primaryColour": "<string>",
      "logoUrl": "<string>",
      "defaultCurrency": "<string>",
      "defaultPaymentTermsDays": 123,
      "latePaymentFee": 123,
      "bankDetails": {
        "accountHolderName": "<string>",
        "accountNumber": "<string>",
        "sortCode": "<string>",
        "routingNumber": "<string>",
        "iban": "<string>",
        "bicSwift": "<string>",
        "country": "<string>",
        "currency": "<string>"
      },
      "hasBeenOnboarded": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

Cursor
string
Limit
default:20
Name
string

Response

200 - application/json

OK

data
object[]
nextCursor
null | string
hasMore
boolean